Endpoint Groups

Semantic Models and Relationships

Semantic Models and Relationships operations within the Semantic Layer API group.

List semantic modelsGET

/semantic-models

Operation IDlistSemanticModels

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
429 Client error
500 Server error

Create semantic modelPOST

/semantic-models

Operation IDcreateSemanticModel

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Get semantic modelGET

/semantic-models/{semanticModelId}

Operation IDgetSemanticModel

Path Parameters

Name Type Required Description
semanticModelId string true -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Update semantic modelPATCH

/semantic-models/{semanticModelId}

Operation IDupdateSemanticModel

Path Parameters

Name Type Required Description
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Delete semantic modelDELETE

/semantic-models/{semanticModelId}

Operation IDdeleteSemanticModel

Path Parameters

Name Type Required Description
semanticModelId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List semantic metricsGET

/semantic-models/{semanticModelId}/metrics

Operation IDlistSemanticMetrics

Path Parameters

Name Type Required Description
semanticModelId string true -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Create semantic metricPOST

/semantic-models/{semanticModelId}/metrics

Operation IDcreateSemanticMetric

Path Parameters

Name Type Required Description
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Update semantic metricPATCH

/semantic-models/{semanticModelId}/metrics/{metricName}

Operation IDupdateSemanticMetric

Path Parameters

Name Type Required Description
metricName string true -
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Delete semantic metricDELETE

/semantic-models/{semanticModelId}/metrics/{metricName}

Operation IDdeleteSemanticMetric

Path Parameters

Name Type Required Description
metricName string true -
semanticModelId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List semantic pre aggregationsGET

/semantic-models/{semanticModelId}/pre-aggregations

Operation IDlistSemanticPreAggregations

Path Parameters

Name Type Required Description
semanticModelId string true -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Create semantic pre aggregationPOST

/semantic-models/{semanticModelId}/pre-aggregations

Operation IDcreateSemanticPreAggregation

Path Parameters

Name Type Required Description
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Update semantic pre aggregationPATCH

/semantic-models/{semanticModelId}/pre-aggregations/{preAggregationName}

Operation IDupdateSemanticPreAggregation

Path Parameters

Name Type Required Description
preAggregationName string true -
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Delete semantic pre aggregationDELETE

/semantic-models/{semanticModelId}/pre-aggregations/{preAggregationName}

Operation IDdeleteSemanticPreAggregation

Path Parameters

Name Type Required Description
preAggregationName string true -
semanticModelId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Explain metric queryPOST

/semantic-models/{semanticModelId}/queries:explain

Operation IDexplainMetricQuery

Path Parameters

Name Type Required Description
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Run metric queryPOST

/semantic-models/{semanticModelId}/queries:run

Operation IDrunMetricQuery

Path Parameters

Name Type Required Description
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List semantic relationships for a semantic modelGET

/semantic-models/{semanticModelId}/relationships

Operation IDlistSemanticModelRelationships

Path Parameters

Name Type Required Description
semanticModelId string true -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Create semantic relationship for a semantic modelPOST

/semantic-models/{semanticModelId}/relationships

Operation IDcreateSemanticModelRelationship

Path Parameters

Name Type Required Description
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Update semantic relationship for a semantic modelPATCH

/semantic-models/{semanticModelId}/relationships/{relationshipName}

Operation IDupdateSemanticModelRelationship

Path Parameters

Name Type Required Description
relationshipName string true -
semanticModelId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Delete semantic relationship for a semantic modelDELETE

/semantic-models/{semanticModelId}/relationships/{relationshipName}

Operation IDdeleteSemanticModelRelationship

Path Parameters

Name Type Required Description
relationshipName string true -
semanticModelId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error